# Do you allow your users to skip authentication with the bypass permission
# 是否允许有bypass权限的玩家跳过验证
bypassPermission=false
# Should only the specified commands be protected from unauthorized access
# 是否让指定的指令在未经授权使用时受到保护
commandOnlyProtection=false
# Email configuration for password recovery
# 密码恢复电子邮件配置
emailConfiguration {
    # Username for the account you want to the email from
    account=""
    # Is password recovery using an email allowed
    enabled=false
    # Mail server
    host="smtp.gmail.com"
    # Password for the account you want to the email from
    password=""
    # SMTP Port for outgoing messages
    port=465
    # Displays as sender in the email client
    senderName="Your minecraft server name"
    # Email subject/title
    subject="Your new Password"
    # Email contents. You can use HTML here
    text="New password for %player% on Minecraft server %server%: %password%"
}
# Algorithms for hashing user passwords. You can also choose totp
# 密码的加密算法，你也可以选择totp
hashAlgo=bcrypt
# Should the plugin login users automatically if it's the same account from the same IP
# 是否开启相同IP自动登录
ipAutoLogin=false
# Custom command that should run after the user tried to make too many attempts
lockCommand=""
# How many login attempts are allowed until everything is blocked
# 可尝试登录的次数
maxAttempts=5
# How many accounts are allowed per ip-addres. Use 0 to disable it
# 每个IP的可注册数量，0为禁用
maxIpReg=0
# The user should use a strong password
# 密码最低长度
minPasswordLength=4
# Should this plugin check for player permissions
# 该插件是否要检查玩家的权限
playerPermissions=false
# If command only protection is enabled, these commands are protected. If the list is empty all commands are protected
protectedCommands=[
    op,
    pex
]
# Teleport the player to a safe location based on the last login coordinates
# 是否传送玩家到最后一次登录的安全坐标
safeLocation=false
# Database configuration
# 数据库配置
sqlConfiguration {
    # Database name
    database=flexiblelogin
    # Password in order to login
    password=""
    # Path where the database is located. This can be a file path (h2/SQLite) or an IP/Domain(MySQL)
    path="%DIR%"
    # Port for example MySQL connections
    port=3306
    # SQL server type. You can choose between h2, SQLite and MySQL
    type=H2
    # Username to login the database system
    username=""
}
teleportConfig {
    coordX=0
    coordY=0
    coordZ=0
    # Should the plugin use the default spawn from the world you specify below
    defaultSpawn=false
    enabled=false
    # Spawn world or let it empty to use the default world specified in the server properties
    worldName=""
}
# Number of seconds a player has time to login or will be kicked.-1 deactivates this features
# 多少秒后登录超时，-1禁用该功能
timeoutLogin=60
# Should the plugin save the login status to the database
# 是否将该插件的登录状态保存到数据库
updateLoginStatus=false
# How seconds the user should wait after the user tried to make too many attempts
# 当用户尝试次数太多后，应该等待多少秒
waitTime=300
